Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!

Bug 184840

Summary: Conditional recursive listeners
Product: editor Reporter: Vitezslav Stejskal <vstejskal>
Component: Parsing & IndexingAssignee: Vitezslav Stejskal <vstejskal>
Status: RESOLVED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P3 CC: dstrupl
Version: 6.x   
Target Milestone: 6.x   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: TASK Exception Report:
Attachments: The patch supporting -J-Dnetbeans.indexing.recursiveListeners=true/false system property

Description Vitezslav Stejskal 2010-04-23 12:15:32 UTC
Created attachment 97913 [details]
The patch supporting -J-Dnetbeans.indexing.recursiveListeners=true/false system property

I'm attaching a patch that properly implements -J-Dnetbeans.indexing.recursiveListeners=true/false system property. The property can be used to turn on filesystem's recursive listeners (-J-Dnetbeans.indexing.recursiveListeners=true). By default recursive listeners are turned off and RepositoryUpdater listens on the root of the master filesystem (ie. the original implementation from Nb68).
Comment 1 Vitezslav Stejskal 2010-05-04 09:58:45 UTC
http://hg.netbeans.org/jet-main/rev/a8d727f54043

I applied the patch with a minor modification - the recursive listeners are turned *on* by default. The system property is -J-Dnetbeans.indexing.recursiveListeners=<true|false>.
Comment 2 Quality Engineering 2010-05-05 04:59:18 UTC
Integrated into 'main-golden', will be available in build *201005050200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/
User: 
Log:
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo